using Xunit;

namespace Model.Tests
{
    public class LargeImageTests
    {
        [Fact]
        public void Equals_ReturnsTrue_WhenBase64StringsAreEqual()
        {
            var base64String = "VGhpcyBpcyBhIGJhc2U2NCBlbmNvZGVkIHN0cmluZw==";
            var image1 = new LargeImage(base64String);
            var image2 = new LargeImage(base64String);

            var result = image1.Equals(image2);

            Assert.True(result);
        }

        [Fact]
        public void Equals_ReturnsFalse_WhenBase64StringsAreDifferent()
        {
            var base64String1 = "VGhpcyBpcyBhIGJhc2U2NCBlbmNvZGVkIHN0cmluZw==";
            var base64String2 = "VGhpcyBpcyBhIGJhc2U2NSBlbmNvZGVkIHN0cmluZw==";
            var image1 = new LargeImage(base64String1);
            var image2 = new LargeImage(base64String2);

            var result = image1.Equals(image2);

            Assert.False(result);
        }
    }
}